Get Patch Details for Patches

Specify the patch UUIDs to fetch corresponding patch details.

POST/pm/v1/patchcatalog/patches

Input ParametersInput Parameters

Parameter

Mandatory/Optional

Data Type

Description

attributes

Optional

string

From all attributes, specify a comma-separated string of attributes that you want to fetch in the response.

platform

Optional

string

The platform type.

- Available values: Linux, Windows

- Default value: Windows

sort

-

string

Sorting fields in JSON format.

For example,  [{"vendorSeverity":"asc"}]

Sample - Get Patch DetailsSample - Get Patch Details

API request

curl -X POST       
"https://<QualysBaseURL>/pm/v1/patchcatalog/patches?attributes=isSecurity%2C%20rebootRequired%2C%20vendorSeverity&platform=Windows&sort=%5B%7B%22vendorSeverity%22%3A%22asc%22%7D%5D"
-H "accept: application/json" 
-H "Authorization: Bearer <<jwt token>>" 
-H "Content-Type: application/json" 
-d

Request Body - Specify the UUIDs

'{
  "patchUuid": [
    "e1787937-af98-3f57-9871-eb2ef9d4b6db"
  ]
}'

Response

[
  {
    "aiBasedReliability": null,
    "isSecurity": true,
    "rebootRequired": true,
    "vendorSeverity": "Moderate",
    "reliability": null,
    "lastReliabilityScanDate": null,
    "description": "Summary\r\nThis security update resolves vulnerabilities in Internet Explorer. To learn more about these vulnerabilities, see Deployments  Security Update Guide.\r\n\r\nAdditionally, see the following articles for more information about cumulative updates:\r\n\r\nWindows 8.1 and Windows Server 2012 R2 update history\r\n\r\nWindows Server 2012 update history\r\n\r\nWindows 7 SP1 and Windows Server 2008 R2 SP1 update history (also see End of Support)\r\n\r\nWindows Server 2008 SP2 update history (also see End of Support)\r\n\r\nThis update applies to the following:\r\n\r\nInternet Explorer 11 for Windows Server 2012 R2\r\n\r\nInternet Explorer 11 for Windows Server 2012\r\n\r\nInternet Explorer 11 for Windows Server 2008 R2\r\n\r\nInternet Explorer 9 for Windows Server 2008",
    "title": "KB5049994: Cumulative security update for Internet Explorer: January 14, 2025",
    "type": "Application",
    "appFamily": [
      "Internet Explorer"
    ],
    "qid": [
      "100381",
      "91697",
      "91808",
      "100403"
    ],
    "enabled": true,
    "platform": "Windows",
    "supersedes": [
      "8d18a2dc-6bb0-3758-8472-4744f891674b",
      "2c473fb8-39b7-34b3-a90b-df5f794aa5a5",
      "5b68379b-c088-3d88-ae35-ef22f96ca835",
      "7e59cdbc-cead-37d6-a98a-22fa1c6f7cff",
      "f06b4395-2b84-3204-9cb1-f278ae90e118"
    ],
    "notification": null,
    "patchId": "e1787937-af98-3f57-9871-eb2ef9d4b6db",
    "isRollback": true,
    "cve": [
      "CVE-2025-21328",
      "CVE-2025-21329",
      "CVE-2025-21276",
      "CVE-2025-21189",
      "CVE-2025-21332",
      "CVE-2025-21268",
      "CVE-2025-21269"
    ],
    "isFeatureUpdate": false,
    "vendor": "Microsoft",
    "kb": "KB5049994",
    "downloadMethod": "Automatic",
    "esuOsVersion": "2012",
    "id": "e1787937-af98-3f57-9871-eb2ef9d4b6db",
    "supportedOs": null,
    "architecture": [
      "X64"
    ],
    "packageDetails": null,
    "nonSupersededQid": [],
    "product": [
      "Internet Explorer 11 (x64)"
    ],
    "advisory": null,
    "vendorlink": "http://support.microsoft.com/kb/5049994",
    "osIdentifier": "WINDOWS",
    "advisoryLink": null,
    "deleted": false,
    "isSuperseded": true,
    "vulnBasedReliability": null,
    "patchFeedProviderId": 1,
    "syncDateTime": 1773407451015,
    "vendorPatchId": "281561",
    "modifiedDate": 1736899200000,
    "publishedDate": 1736812800000,
    "category": "Security Patches",
    "isEsuPatch": true,
    "supersededBy": [
      "52fd63c8-5740-3fe2-a405-4efb71ff05f2",
      "faf0725a-f973-3f32-af32-1bd668b36e88",
      "03aeec28-84ef-37e3-ae30-ca9deffb2658",
      "7b9a482e-ac95-3d6c-a179-da388a37dabe",
      "abf32461-6b62-335a-9008-c3aa23767a8b",
      "1d224b7b-b70c-3b23-82ba-00787060a8ac",
      "44d6feac-d32f-30c8-b9a1-f0423ffdb6e9",
      "b2420cd1-25de-372a-b46f-19a4ee123b42",
      "caf5f1d5-f0e8-3fa5-a3b8-fa8cedaff3d8",
      "c88eea80-8a33-3c52-b34a-b8acf6b485b3"
    ],
    "bulletin": "MS25-01-IE-2K12-ESU-5049994"
  }
]